2018-01-20 18:43 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004007Kali Linux[All Projects] Kali Package Bugpublic2018-01-10 11:30
Reporterzoneranger 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0004007: keimpx and other applications reliant on the impacket library not working
DescriptionIn the current install (kali 2017, updated today) the following installed applications do not work:
keimpx
polenum
elements of enum4linux (as they have a dependency on polenum)

~$ uname -a
Linux kali 4.9.0-kali4-amd64 0000001 SMP Debian 4.9.25-1kali1 (2017-05-04) x86_64 GNU/Linux
Steps To Reproduce$ keimpx
You need to install Python Impacket library first.
Get it from Core Security's Google Code repository:
sudo apt-get -y remove python-impacket # to remove the system-installed outdated version of the library
cd /tmp
svn checkout http://impacket.googlecode.com/svn/trunk/ impacket
cd impacket
python setup.py build
sudo python setup.py install

$ polenum
Traceback (most recent call last):
  File "/usr/bin/polenum", line 33, in <module>
    from impacket.dcerpc import dcerpc_v4, dcerpc, transport, samr
ImportError: cannot import name dcerpc_v4
Additional Informationsmbmap seems to have been recently fixed (see issue 4004 - https://bugs.kali.org/view.php?id=4004 )

The above applications are reliant on impacket v0.9.12 or .13.

Some of their functionality is present in applications such as redsnarf:
https://github.com/nccgroup/redsnarf
or crackmapexec:
https://github.com/byt3bl33d3r/CrackMapExec/

So outdated applications that won't be patched to use the later impacket libraries might be worth retiring.
Attached Files

-Relationships
related to 0004004resolvedsbrun smbmap requires impacket v0.9.13 
+Relationships

-Notes

~0007729

sbrun (manager)

polenum, sparta, smbmap fixed.

Not yet fixed: package keimpx

~0007752

atdtphreaker (reporter)

Sparta not working. *SEE SCREENSHOT*

~0007767

sbrun (manager)

sparta's issue is a new one, not related to impacket but to qt4. I created a new bug report: 4454

~0007784

st3r30byt3 (reporter)

SPARTA uses a script reliant on impacket so there was also an issue there. This is fixed in the latest commit of SPARTA: http://github.com/SECFORCE/sparta
+Notes

-Issue History
Date Modified Username Field Change
2017-05-10 15:46 zoneranger New Issue
2017-05-10 19:08 g0tmi1k Relationship added related to 0004004
2017-05-11 12:36 sbrun Assigned To => sbrun
2017-05-11 12:36 sbrun Status new => assigned
2017-12-21 09:01 sbrun Note Added: 0007729
2017-12-28 10:04 atdtphreaker Note Added: 0007752
2017-12-28 10:05 atdtphreaker File Added: Screenshot from 2017-12-28 04-59-57.png
2018-01-02 11:13 sbrun Note Added: 0007767
2018-01-10 11:30 st3r30byt3 Note Added: 0007784
+Issue History